from axipy import provider_manager

from deleteDouble.ui.tools.processDelDouble import DelDoubleRow

name_tab=r"E:\Support\AxiomaTesting\DubleRecord\Вода_итоговая_2_2000.tab"
name_tab=r"E:\Support\AxiomaTesting\DubleRecord\Вода_итоговая_2_2000_2023_07_11_16_20_28.tab"
path_dest=r"E:\Support\AxiomaTesting\DubleRecord\Вода_итоговая_2_2000no_double.tab"
table = provider_manager.openfile(name_tab)
params={}
params['table']=table.name
params['list_fields']=['obj']
params['file_dest']=path_dest
process=DelDoubleRow(None)
process.setParametrs(params)
process.run()
